$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-fc77fb9b4c16e69a29f66516ffd67652059ce00c/rpcs3-v0.0.13-11166-fc77fb9b_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'c060343c12e6dd85a3aae9d85e911ef30c2e6cf3982238f924466786069f8f6e'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
